<?php

//Mise en place des include
require_once './metier/user.php';
require_once './dao/dao.php';
require_once './dao/bdd.php';

//Récupération des informations
$user = $_SESSION["user"];
$data = $_POST;

//Déclaration des variables locales
$new_pwd = FALSE;

//On vérifie si il y a des données sinon on quite
if ((count($_POST) == 0) || (($data["new_name"] == "null") && ($data["new_prenom"] == "null") && ($data["new_password"] == "null")))
    {
   include "view/account/no_change.php";
   return;
    }

//On met à jour les données
if ((isset($data["new_name"])) && ($data["new_name"] != "null"))
    {
    //On vérifie si le nom est valide ou pas
    if (!$data["new_name"] == "")
        {
        //Si c'est le cas on sauvegarde
        $user->setNom($data["new_name"]);
        } else
        {
        //Sinon, on affiche un message d'erreur et on quitte
        include 'view/account/name_fail.php';
        return;
        }
    }

if ((isset($data["new_prenom"])) && ($data["new_prenom"] != "null"))
    {
    //On vérifie si le prénom est valide
    if (!$data["new_prenom"] == "")
        {
        //Si c'est OK, on sauvegarde
        $user->setPrenom($data["new_prenom"]);
        } else
        {
        //Sinon, on affiche le message d'erreur et on quitte
        include 'view/account/name_fail.php';
        return;
        }
    }

if ((isset($data["new_password"])) && ($data["new_password"] != "null"))
    {
    if (!$data["new_password"] == "")
        {
        //Si le nouveau mot de passe est valide, on sauvegarde
        $new_pwd = TRUE;
        $user->setPassword($data["new_password"]);
        } else
        {
        //Sinon ,on affiche le message d'erreur approprié
        include 'view/account/pwd_fail.php';
        return;
        }
    }


if ($new_pwd)
    {
    //Il y a un nouveau mot de passe, on fait un update complet
    user::saveUser($user);
    } else
    {
    //Sinon on fait un update partiel
    user::saveUserNoPassword($user);
    }

//On met à jour les données de la session
$_SESSION["user"] = $user;

//On affiche un message de confirmation
require_once 'edit_succes.php';
?>
